using SoftwareInstallationDataModels.Enums;
using SoftwareInstallationDataModels.Models;
using System.ComponentModel;


namespace SoftwareInstallationContracts.ViewModels
{
    public class OrderViewModel : IOrderModel
    {
        [DisplayName("Номер")]
        public int Id { get; set; }
        public int PackageId { get; set; }
        public int ClientId { get; set; }
		public int? ImplementerId { get; set; }
		[DisplayName("Фамилия исполнителя")]
		public string ImplementerFIO { get; set; } = string.Empty;
		[DisplayName("Изделие")]
        public string PackageName { get; set; } = string.Empty;
        [DisplayName("Фамилия клиента")]
        public string ClientFIO { get; set; } = string.Empty;
        [DisplayName("Количество")]
        public int Count { get; set; }
        [DisplayName("Сумма")]
        public double Sum { get; set; }
        [DisplayName("Статус")]
        public OrderStatus Status { get; set; } = OrderStatus.Неизвестен;
        [DisplayName("Дата создания")]
        public DateTime DateCreate { get; set; } = DateTime.Now;
        [DisplayName("Дата выполнения")]
        public DateTime? DateImplement { get; set; }
    }
}
